Bug 1721126 - [RHV] ISO provisioning fails as it's unable to open /tmp/floppy/ks.cfg
Summary: [RHV] ISO provisioning fails as it's unable to open /tmp/floppy/ks.cfg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.5
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.6
Assignee: Martin Perina
QA Contact: Angelina Nikiforova
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1716929
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-17 12:20 UTC by Satoe Imaishi
Modified: 2019-07-02 04:33 UTC (History)
4 users (show)

Fixed In Version: 5.10.6.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1716929
Environment:
Last Closed: 2019-07-02 04:33:28 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1644 None None None 2019-07-02 04:33:36 UTC

Comment 3 CFME Bot 2019-06-17 12:26:59 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/hammer:

https://github.com/ManageIQ/manageiq-providers-ovirt/commit/f7434badc1ef59ae3fb38241a00433e92b81cc74
commit f7434badc1ef59ae3fb38241a00433e92b81cc74
Author:     Moti Asayag <masayag@redhat.com>
AuthorDate: Sun Jun 16 13:42:02 2019 -0400
Commit:     Moti Asayag <masayag@redhat.com>
CommitDate: Sun Jun 16 13:42:02 2019 -0400

    Merge pull request #379 from borod108/bugs/1716929skeletal

    Add skeletal provisioning to V4

    (cherry picked from commit c88c606535f05fd237775efdb0a564ddad6e813d)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1721126

 app/models/manageiq/providers/redhat/infra_manager/ovirt_services/strategies/v4.rb | 55 +
 spec/models/manageiq/providers/redhat/infra_manager/ovirt_services/strategies/v4_spec.rb | 41 +-
 2 files changed, 93 insertions(+), 3 deletions(-)

Comment 4 Angelina Nikiforova 2019-06-26 12:09:17 UTC
CFME 5.10.6.1.20190621202107_58f5bbc
RHV 4.3.4.3-0.1.el7

Verified using test_rhev_iso_servicecatalog in the automation.
There're no errors and installation begins successfully (no "/tmp/floppy/ks.cfg' errors).


Note: the installation hangs at "Performing post installation tasks" but I believe it's a problem with the kickstart script or a different bug.
This bug is fixed and verified.

Comment 6 errata-xmlrpc 2019-07-02 04:33:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1644


Note You need to log in before you can comment on or make changes to this bug.